/*
 * generated by Xtext 2.27.0
 */
package no.hal.quiz.xtext.parser.antlr;

import com.google.inject.Inject;
import no.hal.quiz.xtext.parser.antlr.internal.InternalQuizDSLParser;
import no.hal.quiz.xtext.services.QuizDSLGrammarAccess;
import org.eclipse.xtext.parser.antlr.AbstractAntlrParser;
import org.eclipse.xtext.parser.antlr.XtextTokenStream;

public class QuizDSLParser extends AbstractAntlrParser {

	@Inject
	private QuizDSLGrammarAccess grammarAccess;

	@Override
	protected void setInitialHiddenTokens(XtextTokenStream tokenStream) {
		tokenStream.setInitialHiddenTokens("RULE_WS", "RULE_ML_COMMENT", "RULE_SL_COMMENT");
	}
	

	@Override
	protected InternalQuizDSLParser createParser(XtextTokenStream stream) {
		return new InternalQuizDSLParser(stream, getGrammarAccess());
	}

	@Override 
	protected String getDefaultRuleName() {
		return "Quiz";
	}

	public QuizDSLGrammarAccess getGrammarAccess() {
		return this.grammarAccess;
	}

	public void setGrammarAccess(QuizDSLGrammarAccess grammarAccess) {
		this.grammarAccess = grammarAccess;
	}
}
